Skip to navigation

Create task

Create a task. Plan manager scope from X-Plan-Manager-Id header. Title is required. Set participant to attach the task to a participant. created_by is optional and cannot be changed after create.

Authentication

AuthorizationBearer
API key issued for your account. Send as Bearer token in the Authorization header.
X-Plan-Manager-Idstring
Plan manager UUID. Required on all public API requests to scope data access.

Request

This endpoint expects an object.
titlestringRequired>=1 character
Task title
descriptionstringOptional

Task description / body

assigneestringOptional

User id of the assignee. Use GET /account-managers to look up staff.

due_datedateOptional
priorityenumOptional
Allowed values:
participantstringOptionalformat: "uuid"
projectintegerOptional
Associated Caresquare project id
created_bystringOptional
User id of the creator. Immutable after create.

Response

Task created
idstringOptional

Task id (bigint as string)

created_atdatetimeOptional
titlestringOptional
descriptionstringOptional
assigneestringOptional
due_datedateOptional
prioritystringOptional

Priority: low, medium, or high

plan_managerstringOptionalformat: "uuid"
donebooleanOptional
participantstringOptionalformat: "uuid"
projectstringOptional

Associated Caresquare project id (bigint as string)

date_completeddateOptional
seenbooleanOptional
created_bystringOptional

User id of the creator (immutable)

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error